Mobile Devices

/api/v2/mobiledevices/{id} 📋 Copied! Get Mobile Device Details

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Responses

Code Description
200

Mobile Device data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "testNodeName": "string",
    "deviceModelId": 0,
    "deviceModelName": "string",
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "testNodeName": "string",
    "deviceModelId": 0,
    "deviceModelName": "string",
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/mobiledevices/{id} 📋 Copied! Update a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Request body

application/json

Example Value:

{
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "deviceModelId": 0,
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "ecid": "string"
}

Responses

Code Description
200

Mobile Device was updated successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/mobiledevices/{id} 📋 Copied! Delete a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Responses

Code Description
200

Mobile Device was deleted successfully.

404

Resource was not found.

409

Resource cannot be deleted.

/api/v2/mobiledevices/{id}/action 📋 Copied! Execute Action on a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Request body

application/json

Example Value:

{
    "command": "PREPARE",
    "params": "string"
}

Responses

Code Description
200

Result of the Action Execution.

Media type: application/json

Example Value:

{
    "status": "SUCCESS",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "status": "FAILURE",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
409

Action cannot be executed.

Media type: application/json

Example Value:

{
    "status": "FAILURE",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
/api/v2/mobiledevices 📋 Copied! List Mobile Devices

Parameters

Name Description
page (query) The page to list entries. Default value : 0
size (query) The page size for listing entries. Default value : 20
sort (query) The sort type for listing entries.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "msisdn": "stringstr",
            "imsi": "string",
            "imei": "stringstringstr",
            "ranType": "string",
            "testNodeId": 0,
            "testNodeName": "string",
            "deviceModelId": 0,
            "deviceModelName": "string",
            "subscriptionType": "string",
            "platformName": "string",
            "deviceId": "string",
            "nationalFormat": "string",
            "internationalFormat": "string",
            "iccid": "string",
            "eid": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/mobiledevices 📋 Copied! Create a Mobile Device

Parameters

No parameters

Request body required

Media type: application/json

Example Value:

{
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "deviceModelId": 0,
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string"
}

Responses

Code Description
201

ID of the Mobile Device.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/mobiledevices/{id}/testcases 📋 Copied! List Test Cases using the Mobile Device

Parameters

Name Description
id * Numeric ID of the Mobile Device.
Type: integer (path)
page The page to list entries. Default value: 0.
Type: string (query)
size The page size for listing entries. Default value: 20.
Type: string (query)
sort The sort type for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "totalElements": 0,
  "totalPages": 0,
  "number": 0,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "size": 0,
  "content": [
    {
      "id": 0,
      "name": "string"
    }
  ],
  "first": true,
  "last": true,
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
  },
  "numberOfElements": 0,
  "empty": true
}
/api/v2/mobiledevices/{id}/status 📋 Copied! Check Status of Mobile Device

Parameters

Name Description
id * Numeric ID of the Mobile Device.
Type: integer (path)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "upnp": true,
  "netInfo": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "batteryInfo": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}